### test/ebdic-mypaedia.rb -- unit test for ebdic module, using MYPAEDIA

require 'runit/testcase'

$stdout.sync = true

class EBDicMypaediaTest <RUNIT::TestCase
  def setup
    @ebdic = EBDic.new("/opt/epwing/mypaedia", "MYPAEDIA")
  end

  def test_search_failure
    assert(@ebdic.search("ۤ").empty?)
    assert(@ebdic.search("\001\001").empty?)
  end

  def test_search_success
    assert_equal("", @ebdic.search("碌").join(";"))
    assert_equal("饹;Maria Callas;饹;;ɽ",
		 @ebdic.search("餹").join(";"))
    assert_equal("衼å;Europe",
		 @ebdic.search("衼ä").join(";"))
    assert_equal("ޥ;Maquis;ޥ;;;",
		 @ebdic.search("ޤ").join(";"))
    assert_equal("Ρ٥", @ebdic.search("Ρ٤뤷礦").join(";"))
    assert_equal(";", @ebdic.search("").join(";"))
    assert_equal(";", @ebdic.search("ˤ").join(";"))
  end

  def tear_down
  end
end

if __FILE__ == $0
  load 'skkserv/ebdic.rb'

  require 'runit/cui/testrunner'
  RUNIT::CUI::TestRunner.run(EBDicMypaediaTest.suite)
end

# test/ebdic-mypaedia.rb ends here
